> For the complete documentation index, see [llms.txt](https://docs.glesys.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.glesys.com/platform/control-panel/api/real-world-use-cases.md).

# Real-world use cases

***

On this page, we have gathered some real-world use cases of the Glesys API.&#x20;

There are lots of operations that can be automated using the API, everything from acquiring an SSL certificate from Let's Encrypt to automatically expanding the memory of a virtual machine.

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Let's Encrypt DNS-01 challenge using Glesys API and Dehydrated</strong></td><td>By using the Glesys API and a small program called Dehydrated, it's possible to acquire SSL certificates using Let's Encrypt using a DNS challenge instead of a web server.</td><td><a href="/pages/9qgkoqnPoWYJP8P27gVF">/pages/9qgkoqnPoWYJP8P27gVF</a></td></tr><tr><td><strong>Resize a VM when running out of memory</strong></td><td>Using the Glesys API you can automatically resize a VM when it starts running low on memory.</td><td><a href="/pages/dvV6IaCScYUyPx5M2t7o">/pages/dvV6IaCScYUyPx5M2t7o</a></td></tr><tr><td><strong>Load balancing and failover using the Glesys API</strong></td><td>By using "DNS round robin" together with the Glesys API to add or remove servers, you achieve both load balancing and failover.</td><td><a href="/pages/HEGlFKcZDRNdJiNftZH3">/pages/HEGlFKcZDRNdJiNftZH3</a></td></tr><tr><td><strong>RSS feed for invoices</strong></td><td>Using the Glesys API, you can get an RSS feed for your invoices.</td><td><a href="/pages/2yLFnMXHreFeU4b53GlY">/pages/2yLFnMXHreFeU4b53GlY</a></td></tr><tr><td><strong>Getting started with Terraform in Glesys Cloud</strong></td><td>By using Terraform you can automate your Glesys Cloud using code.</td><td><a href="/pages/YMxkQbW4lNf3qymrjReP">/pages/YMxkQbW4lNf3qymrjReP</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.glesys.com/platform/control-panel/api/real-world-use-cases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
